package com.ankaibei.workFlow.webadmin.ankaibei.api;


import com.ankaibei.workFlow.webadmin.ankaibei.utils.ApiMixin;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.TaskInfoVo;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 17:16
 */
public interface TaskInfoApi extends ApiMixin<TaskInfoVo, Integer> {
    ResMsg findTaskInfo(TaskInfoVo taskInfoVo);

    ResMsg addTaskInfo(TaskInfoVo taskInfoVo);

    ResMsg findTaskById(TaskInfoVo taskInfoVo);

    ResMsg performTask(TaskInfoVo taskInfoVo);

    ResMsg deleteTask(List<TaskInfoVo> taskInfoVos);
}
